<button *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'" type="button" data-toggle="modal"
    data-target="#deliverySchedule" data-backdrop="static" data-keyboard="false" (click)="createDeliveryForm()"
    class="btn btn-sm btn-primary mb-2 mr-2 pull-right">Add Delivery Schedule</button>

<div class="table-responsive">
    <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>Lot Number</th>
                <th>Dispatch Date</th>
                <th>Mode</th>
                <th>Destination</th>
                <th>Helper</th>
                <th>Added by</th>
                <th>Added on</th>
                <th *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'">Action</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let s of schedules | paginate: { itemsPerPage: 10, currentPage: p }">
                <td>{{s.dispatch_lot}}</td>
                <td>{{s.dispatch_date}}</td>
                <td>{{s.mode}}</td>
                <td>{{s.destination}}, {{s.country}}, {{s.zip}}</td>
                <td>{{s.helper_name}}</td>
                <td>{{s.created_by}}</td>
                <td>{{s.created_on}}</td>
                <td *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'">
                    <i data-toggle="modal" data-target="#deliverySchedule" (click)="editDeliverySchedule(s)"
                        class="fa fa-edit mr-1 text-primary" aria-hidden="true"></i>
                </td>
            </tr>
            <tr *ngIf="schedules==''">
                <td colspan="7" class="text-center">No Records Found</td>
            </tr>
        </tbody>
    </table>
    <div class="row d-flex justify-content-center">
        <pagination-controls *ngIf="schedules!=''" class="my-pagination" (pageChange)="p = $event">
        </pagination-controls>
    </div>
</div>

<!-----------Add Delivery Schedule Form Modal------------------------>
<div id="deliverySchedule" class="modal fade large" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Dispatch Lot</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorUpdateDeliverySchedule()" [formGroup]="deliveryForm">
                    <div class="form-group row">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Dispatch Lot:</label>
                            <select formControlName="lot_number" class="form-control dropdown" id="lot_number">
                                <option *ngFor="let lot of dispatch_lots" value="{{lot.dispatch_id}}">
                                    {{lot.dispatch_lot}}</option>
                            </select>
                            <div *ngIf="submitted && formControls.lot_number.errors" class="errors">
                                <div *ngIf="formControls.lot_number.errors.required">Dispatch Lot is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Dispatch Date:</label>
                            <input formControlName="dispatch_date" type="date" class="form-control form-control-user"
                                id="dispatch_date">
                            <div *ngIf="submitted && formControls.dispatch_date.errors" class="errors">
                                <div *ngIf="formControls.dispatch_date.errors.required">Dispatch Date is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Unit:</label>
                            <select formControlName="unit" class="form-control dropdown" id="unit">
                                <option *ngFor="let u of units" value="{{u.unit_id}}">{{u.unit_name}}</option>
                            </select>
                            <div *ngIf="submitted && formControls.unit.errors" class="errors">
                                <div *ngIf="formControls.unit.errors.required">Unit is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>No. of Helpers:</label>
                            <input formControlName="helper" type="number" class="form-control form-control-user">
                            <div *ngIf="submitted && formControls.helper.errors" class="errors">
                                <div *ngIf="formControls.helper.errors.required">No. of Helpers is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Mode:</label>
                            <input formControlName="mode" type="text" class="form-control form-control-user" id="mode">
                            <div *ngIf="submitted && formControls.mode.errors" class="errors">
                                <div *ngIf="formControls.mode.errors.required">Mode is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Destination:</label>
                            <input formControlName="destination" type="text" class="form-control form-control-user"
                                id="destination">
                            <div *ngIf="submitted && formControls.destination.errors" class="errors">
                                <div *ngIf="formControls.destination.errors.required">Destination is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Country:</label>
                            <input formControlName="country" type="text" class="form-control form-control-user"
                                id="country">
                            <div *ngIf="submitted && formControls.country.errors" class="errors">
                                <div *ngIf="formControls.country.errors.required">Country is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Zip:</label>
                            <input formControlName="zip" type="text" class="form-control form-control-user" id="zip">
                            <div *ngIf="submitted && formControls.zip.errors" class="errors">
                                <div *ngIf="formControls.zip.errors.required">Zip is required</div>
                            </div>
                        </div>
                    </div>
                    <input formControlName="erp" type="hidden" class="form-control form-control-user">
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>
</div>